#pragma once

#include <inttypes.h>

int test_data_channels( void );
int assert_data_channel_binding_eq( uint32_t base, uint32_t expected );
int assert_data_channel_empty( uint32_t base );
int assert_data_channel_full( uint32_t base );
int assert_data_channel_level_eq( uint32_t base, uint32_t expected );
int assert_data_channel_read_eq( uint32_t base, uint32_t expected );

